<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Sylius\Component\Resource\Model\TranslationInterface;

interface DirectLinkEntryTranslationInterface extends EntryTranslationInterface, TranslationInterface
{
    public function getUrl(): ?string;

    public function setUrl(?string $url): self;

    public function getLabel(): ?string;

    public function setLabel(?string $label): self;

    public function setDirectLinkCollectionEntryTranslation(?DirectLinkCollectionEntryTranslation $directLinkCollectionEntryTranslation);
}
